#ifndef __MAPEDIT_H
#define __MAPEDIT_H

#define PRJNAME "Project X Map Editor"
#define PRJVER "Beta 0.50"

#define MAPEDIT     0
#define QUIT        1

#define COLOR_WHITE   215
#define COLOR_BLACK   0
#define COLOR_BLUE    5
#define COLOR_YELLOW  204
#define COLOR_RED     31
#define COLOR_GREEN   109


BITMAP *TGA_Background;
BITMAP *TGA_MapTiles;
BITMAP *TGA_Tileset[240];
BITMAP *TGA_TileSelect;

int GAME_STAT;
int SndVol;
int SndSld;
int MidiVol;
int KeyWay;

struct MAPFILE
{
   int tile;
   int layer2;
   int walk;
   int enemy;
} Map[500][500];

struct PLAYER
{
   int x;
   int y;
   int curtile;
} PL_player;

struct ITEM
{
   int hp1;
   int hp100;
   int mp1;
   int mp100;
   int elixer;
} PL_item;

struct WEAPON
{
   int knife1;
   int knife2;
   int sword1;
   int sword2;
   int shield1;
   int shield2;
   int bomb;
   int bow;
   int arrow;
} PL_weapon;


#endif
